INTERFACE
SUBROUTINE GRG_JNO2TL(KPROMA,KSTART,KPROF,KFLEV,PPCO3,PT,PSOL,PAL,PJNO2,PRXP,PPCO35,PT5,PRXP5)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPPM
USE GRG_PHOTOLYSIS_MIX
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
REAL(KIND=JPRB) ,INTENT(IN) :: PPCO3(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PAL(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PJNO2(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PPCO35(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP5(KPROMA,0:KFLEV,NPPM)
INTEGER(KIND=JPIM),PARAMETER :: inbands=7
END SUBROUTINE GRG_JNO2TL
END INTERFACE
